-- Alessio Oglialoro 616002848
library ieee;

use ieee.std_logic_1164.all;
use work.dati.all;
use ieee.std_logic_unsigned.all;
use ieee.std_logic_arith.all;

entity tboperazioni is
end tboperazioni;


architecture ghj of tboperazioni is
component operazione is
port (  V: in std_logic_vector(15 downto 0);
	I: in std_logic_vector(3 downto 0);
	nw,clk: std_logic;
	op: in std_logic_vector(1 downto 0);
	dataout: out std_logic_vector(15 downto 0);
	ready: out std_logic
	
	);
end component;

signal nw,clk,ready: std_logic;
signal V,dataout: std_logic_vector(15 downto 0);
signal op: std_logic_vector(1 downto 0);
signal I: std_logic_vector(3 downto 0);



begin

dut: operazione port map(V,I,nw,clk,op,dataout,ready);

process
begin
clk<='1';
wait for 0.5 ns;
clk<='0';
wait for 0.5 ns;
end process;

nw<='0' after 0 ns,'1' after 7 ns,'0' after 8 ns,'1' after 17 ns,'0' after 18 ns,'1' after 28 ns,'0' after 29 ns,'1' after 41 ns,'0' after 42 ns;
V <= conv_std_logic_vector(3,16) after 0 ns,conv_std_logic_vector(5,16) after 16 ns,conv_std_logic_vector(2,16) after 27 ns,conv_std_logic_vector(3,16) after 30 ns,
	conv_std_logic_vector(3,16) after 40 ns,conv_std_logic_vector(4,16) after 43 ns;
I<= conv_std_logic_vector(4,4) after 0 ns,conv_std_logic_vector(3,4) after 16 ns,conv_std_logic_vector(0,4) after 27 ns;
op<= "01" after 0 ns,"11" after 16 ns,"00" after 27 ns,"10" after 40 ns;

end ghj;

