library ieee;
use ieee.std_logic_1164.all;

entity tb is
end tb;

architecture tbb of tb is
 component operazioni is
  port(
  din: in std_logic_vector(15 downto 0);
  nw,clk: in std_logic;
  ris: out std_logic_vector(15 downto 0);
  fine: out std_logic
  );
 end component;

 signal din: std_logic_vector(15 downto 0);
 signal nw,clk: std_logic;
 signal ris: std_logic_vector(15 downto 0);
 signal fine: std_logic;

begin
 dut: operazioni port map(din, nw, clk, ris, fine);

 process
 begin
  clk <= '0';
  wait for 5 ns;
  clk <= '1';
  wait for 5 ns;
 end process;
 
 nw <= '0' after 0 ns, 
 	'1' after 11 ns, 
 	'0' after 50 ns, 
 	'1' after 91 ns, 
 	'0' after 150 ns, 
 	'1' after 191 ns, 
 	'0' after 250 ns, 
 	'1' after 291 ns, 
 	'0' after 350 ns;
 
 din <= "0000000000000000" after 0 ns, 
        "0000000000000010" after 31 ns,
        "0000000000000001" after 101 ns,
        "0000000000000010" after 111 ns,
        "0000000000000100" after 121 ns,
        "0000000000000010" after 201 ns,
        "0000000000000100" after 211 ns,
        "0000000000000001" after 221 ns,
        "0000000000000011" after 301 ns,
        "0000000000000100" after 311 ns,
        "0000000000000010" after 321 ns,
        "0000000000000011" after 331 ns;

end tbb;

